# Ooui.Forms Status

### ActivityIndicator

The [ActivityIndicator](https://developer.xamarin.com/api/type/Xamarin.Forms.ActivityIndicator/) control gives a visual clue to the user that something is happening, without information about its progress.

Member | Status
------ | ------
BackgroundColor   | Done  
IsRunning   | Done  
Color   | Pending  

### ActionSheets

The UIActionSheet is a common UI element in iOS. The Xamarin.Forms [DisplayActionSheet](https://developer.xamarin.com/guides/xamarin-forms/application-fundamentals/navigation/pop-ups/) method lets you include this control in cross-platforms apps, rendering native alternatives.

Member | Status
------ | ------
Title   | Pending  
Cancel   | Pending  
Extras   | Pending  
Destruction   | Pending  

### BoxView

[BoxView](https://developer.xamarin.com/api/type/Xamarin.Forms.BoxView/) is a useful stand-in for images or custom elements when doing initial prototyping. 

Member | Status
------ | ------
BackgroundColor   | Done  
Color   | Done  

### Button

A [button](https://developer.xamarin.com/api/type/Xamarin.Forms.Button/) View that reacts to touch events.

Member | Status
------ | ------
BackgroundColor   | Done  
IsEnabled   | Done  
Command   | Done  
CommandParameter   | Done  
ContentLayout   | Done  
Text   | Done  
TextColor   | Done  
Font   | Done  
FontFamily   | Done  
FontAttributes   | Done  
BorderWidth   | Done  
BorderColor   | Done  
BorderRadius   | Done  
Image   | Pending  
Clicked   | Done  
Pressed   | Done  
Released   | Done  

### CarouselPage

The Xamarin.Forms [CarouselPage](https://developer.xamarin.com/guides/xamarin-forms/application-fundamentals/navigation/carousel-page/) is a page that users can swipe from side to side to navigate through pages of content, like a gallery. 

Member | Status
------ | ------
ItemsSource   | Pending  
ItemTemplate   | Pending  
CurrentPage   | Pending  
Children   | Pending  
BackgrondImage   | Pending  
Icon   | Pending  
IsBusy   | Pending  
Padding   | Pending  
Tittle   | Pending  
ToolbarItems   | Pending  
CurrentPageChanged   | Pending  
PagesChanged   | Pending  
LayoutChanged   | Pending  
Appearing   | Pending  
Disappearing   | Pending  

### ContentPage

A [ContentPage](https://developer.xamarin.com/api/type/Xamarin.Forms.ContentPage/) is a Page displaying a single View, often a container like a StackLayout or ScrollView.

Member | Status
------ | ------
BackgroundColor   | Done  
Appearing   | Done  
Disappearing   | Pending  

DatePicker

The visual representation of a [DatePicker](https://developer.xamarin.com/api/type/Xamarin.Forms.DatePicker/) is very similar to the one of Entry, except that a special control for picking a date appears in place of a keyboard.

Member | Status
------ | ------
BackgroundColor   | Done  
Format   | Done  
Date   | Done  
MinimumDate   | Pending  
MaximumDate   | Pending  
TextColor   | Pending  
DateSelected   | Pending  

### Editor

The [Editor](https://developer.xamarin.com/guides/xamarin-forms/user-interface/text/editor/) control is used to accept multi-line input.

Member | Status
------ | ------
BackgroundColor   | Done  
IsEnabled   | Done  
Text   | Done  
FontFamily   | Done  
FontSize   | Done  
FontAttributes   | Done  
TextColor   | Done  
TextChanged   | Done  
Completed   | Done  

### Entry

[Entry](https://developer.xamarin.com/api/type/Xamarin.Forms.Entry/) is a single line text entry. It is best used for collecting small discrete pieces of information, like usernames and passwords.

Member | Status
------ | ------
BackgroundColor   | Done  
IsEnabled   | Done  
Placeholder   | Done  
PlaceholderColor   | Pending  
Text   | Done  
TextColor   | Done  
FontFamily   | Done  
FontSize   | Done  
FontAttributes   | Done  
TextColor   | Done  
TextChanged   | Done  
Completed   | Done  
Focus   | Done


### Frame

[Frame](https://developer.xamarin.com/api/type/Xamarin.Forms.Frame/) is an element containing a single child, with some framing options.

Member | Status
------ | ------
BackgroundColor   | Done  
OutlineColor   | Done  
HasShadow   | Pending  


### Image

[View](https://developer.xamarin.com/api/type/Xamarin.Forms.Image/) that holds an image.

Member | Status
------ | ------
BackgroundColor   | Done  
Source   | Done  
Aspect   | Pending  
IsOpaque   | Pending  
IsLoading   | Done  

Supported FileSource, StreamSource and UriSource.


### Label

A [Label](https://developer.xamarin.com/api/type/Xamarin.Forms.Label/) is used to display single-line text elements as well as multi-line blocks of text.

Member | Status
------ | ------
BackgroundColor   | Done  
IsEnabled   | Done  
FormattedText   | Done
HorizontalTextAlignment   | Done  
LineBreakMode   | Pending  
Text   | Done  
TextColor   | Done  
VerticalTextAlignment   | Done  
FontAttributes   | Done  
FontFamily   | Done  
FontSize   | Done  
XAlign   | Done  
YAlign   | Done  

### ListView

An [ItemsView](https://developer.xamarin.com/api/type/Xamarin.Forms.ListView/) that displays a collection of data as a vertical list.

Member | Status
------ | ------
IsPullToRefreshEnabled   | Pending  
IsRefreshing   | Pending  
ItemsSource   | Done  
RefreshCommand   | Pending  
Header   | Pending  
HeaderTemplate   | Pending  
Footer   | Pending  
FooterTemplate   | Pending  
SelectedItem   | Done  
HasUnevenRows   | Pending  
RowHeight   | Pending  
GroupHeaderTemplate   | Done  
IsGroupingEnabled   | Pending  
SeparatorVisibility   | Pending  
SeparatorColor   | Pending  
ContextActions   | Pending  
ScrollTo   | Done  
ItemAppearing   | Pending  
ItemDisappearing   | Pending  
ItemSelected   | Pending  
ItemTapped   | Done  
Refresing   | Pending  

### MasterDetailPage

A [Page](https://developer.xamarin.com/api/type/Xamarin.Forms.MasterDetailPage/) that manages two panes of information: A master page that presents data at a high level, and a detail page that displays low-level details about information in the master.

Member | Status
------ | ------
Detail   | Pending  
IsGestureEnabled   | Pending  
IsPresented   | Pending  
Master   | Pending  
MasterBehavior   | Pending  
ShouldShowToolBarButton   | Pending  
IsPresentedChanged   | Pending  

### Map

A [View](https://developer.xamarin.com/api/type/Xamarin.Forms.Maps.Map/) that shows a map provided by a platform-specific service.

Member | Status
------ | ------
Pins   | Pending  
MapType   | Pending  
IsShowingUser   | Pending  
HasScrollEnabled   | Pending  
HasZoomEnabled   | Pending  
VisibleRegion   | Pending  
MoveToRegion   | Pending  

### NavigationPage

A [Page](https://developer.xamarin.com/api/type/Xamarin.Forms.NavigationPage/) that manages the navigation and user-experience of a stack of other pages.

Member | Status
------ | ------
Animate   | Pending  
Add   | Pending  
Remove   | Pending  

### OpenGLView

A [View](https://developer.xamarin.com/api/type/Xamarin.Forms.OpenGLView/) that displays OpenGL content.

Member | Status
------ | ------
HasRenderLoop   | Pending  


### Picker

A [View](https://developer.xamarin.com/api/type/Xamarin.Forms.Picker/) control for picking an element in a list.

Member | Status
------ | ------
Title   | Pending  
SelectedIndex   | Pending  
ItemsSource   | Pending  
SelectedItem   | Pending  
Items   | Pending  
itemDisplayBinding   | Pending  
SelectedIndexChanged   | Pending  

### Progress

A [View](https://developer.xamarin.com/api/type/Xamarin.Forms.ProgressBar/) control that displays progress.

Member | Status
------ | ------
BackgroundColor   | Pending  
Progress   | Done  
ProgressTo   | Pending  

### ScrollView

An [element](https://developer.xamarin.com/api/type/Xamarin.Forms.ScrollView/) capable of scrolling if its Content requires.

Member | Status
------ | ------
BackgroundColor   | Done  
Orientation   | Pending  
ScrollX   | Pending  
ScrollY   | Pending  
Content   | Done  
ContentSize   | Pending  
ScrollToAsync   | Done
Scrolled   | Pending  

### SearchBar

A [View](https://developer.xamarin.com/api/type/Xamarin.Forms.SearchBar/) control that provides a search box.

Member | Status
------ | ------
BackgroundColor   | Done  
SearchCommand   | Done  
SearchCommandParameter   | Done  
CancelButtonColor   | Pending  
Placeholder   | Done  
FontFamily   | Pending  
FontSize   | Pending  
FontAtttributes   | Pending  
HorizontalTextAlignment   | Done  
TextColor   | Done  
PlaceholderColor   | Pending  
FontFamily   | Pending  
SearchButtonPressed   | Done  
TextChanged   | Done  

### Slider

A [View](https://developer.xamarin.com/api/type/Xamarin.Forms.Slider/) control that inputs a linear value.

Member | Status
------ | ------
BackgroundColor   | Done  
Minimum   | Done  
Maximum   | Done  
Value   | Done  
ValueChanged   | Done  

### Stepper

A [View](https://developer.xamarin.com/api/type/Xamarin.Forms.Stepper/) control that inputs a discrete value, constrained to a range.

Member | Status
------ | ------
BackgroundColor   | Pending  
Minimum   | Pending  
Maximum   | Pending  
Value   | Pending  
Increment   | Pending  
ValueChanged   | Pending  

### Switch

A [View](https://developer.xamarin.com/api/type/Xamarin.Forms.Switch/) control that provides a toggled value.

Member | Status
------ | ------
BackgroundColor   | Done  
IsToggled   | Done  
Toggled   | Done  

### TabbedPage

[Displays](https://developer.xamarin.com/api/type/Xamarin.Forms.TabbedPage/) an array of tabs across the top of the screen, each of which loads content onto the screen.

Member | Status
------ | ------
BarBackgroundColor   | Pending  
BarTextColor   | Pending  
ItemsSource   | Pending  
ItemTemplate   | Pending  
SelectedItem   | Pending  
GetIndex   | Pending  
GetPageByIndex   | Pending  
SetIndex   | Pending  
Appearing   | Pending  
Disappearing   | Pending  
CurrentPageChanged   | Pending  
PagesChanged   | Pending  

### TableView

A [View](https://developer.xamarin.com/api/type/Xamarin.Forms.TableView/) that holds rows of Cell elements.

Member | Status
------ | ------
BackgroundColor   | Pending  
HasUnevenRows   | Pending  
TableIntent   | Pending  
RowHeight   | Pending  
Root   | Pending  
ContextActions   | Pending  

### TimePicker

A [View](https://developer.xamarin.com/api/type/Xamarin.Forms.TimePicker/) control that provides time picking.

Member | Status
------ | ------
BackgroundColor   | Done  
Format   | Done  
TextColor   | Done  
Time   | Done  

### WebView

A [View](https://developer.xamarin.com/api/type/Xamarin.Forms.WebView/) that presents HTML content.

Member | Status
------ | ------
CanGoBack   | Pending  
CanGoForward   | Pending  
Source   | Done  
Eval   | Pending  
GoBack   | Pending  
GoForward   | Pending  
Navigated   | Pending  
Navigating   | Pending  

### VisualElement

Member | Status
------ | ------
BackgroundColor   | Done  
AnchorX   | Done  
AnchorY   | Done  
IsEnabled   | Done  
IsFocused   | Pending
IsVisible   | Done
Opacity   | Done  
RotationX   | Pending  
RotationY   | Pending  
Scale   | Done  
TranslationX   | Done  
TranslationY   | Done  
